Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xorg-x11 and mesa circular dependencies hardened profile
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
elmar283
Apprentice
Apprentice


Joined: 06 Dec 2004
Posts: 194
Location: Netherlands

PostPosted: Thu Oct 31, 2013 11:18 am    Post subject: xorg-x11 and mesa circular dependencies hardened profile Reply with quote

On my FIT PC-2 I have the hardened profile hardened/linux/x86. I did not have X11 because the Intel Paulsbo problems.
Now some time has come by I would like to give it an other try.
But now I can't even install xorg-x11 because of circular dependencies:
Code:

* Error: circular dependencies:

(x11-base/xorg-server-1.14.3-r2::gentoo, ebuild scheduled for merge) depends on
 (media-libs/mesa-9.1.6::gentoo, ebuild scheduled for merge) (buildtime)
  (x11-base/xorg-server-1.14.3-r2::gentoo, ebuild scheduled for merge) (buildtime_slot_op)

It might be possible to break this cycle
by applying the following change:
- media-libs/mesa-9.1.6 (Change USE: -xorg)

Note that this change can be reverted, once the package has been installed.


When I put "media-libs/mesa -xorg" on '/etc/portage/package.use' and first try to merge 'mesa' I get this error:
Code:

elmarotter@ZaphodBeeblebrox /etc/X11/xorg.conf.d $ emerge -pv mesa --autounmask-write

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] x11-proto/dri2proto-2.8  107 kB
[ebuild  N     ] x11-proto/xf86driproto-2.1.1  95 kB
[ebuild  N     ] dev-lang/python-exec-0.3.1  PYTHON_TARGETS="(jython2_5) (jython2_7) (python2_6) (python2_7) (python3_2) (-pypy2_0) (-python3_3)" 0 kB
[ebuild  N     ] x11-libs/libXext-1.3.2  USE="-doc -static-libs" 371 kB
[ebuild  N     ] x11-proto/xf86vidmodeproto-2.3.1-r1  95 kB
[ebuild  N     ] x11-libs/libpciaccess-0.13.2  USE="zlib -minimal -static-libs" 351 kB
[ebuild  N     ] x11-proto/damageproto-1.2.1-r1  97 kB
[ebuild  N     ] x11-proto/fixesproto-5.0-r1  99 kB
[ebuild  N     ] app-admin/eselect-opengl-1.2.7  81 kB
[ebuild  N     ] app-admin/eselect-mesa-0.0.10  3 kB
[ebuild  N     ] x11-libs/libXxf86vm-1.1.3  USE="-static-libs" 278 kB
[ebuild  N     ] x11-libs/libdrm-2.4.46  USE="libkms -static-libs" VIDEO_CARDS="intel (-exynos) (-freedreno) -nouveau (-omap) -radeon -vmware" 542 kB
[ebuild  N     ] x11-libs/libXfixes-5.0.1  USE="-static-libs" 286 kB
[ebuild  N     ] x11-libs/libXdamage-1.1.4-r1  USE="-static-libs" 273 kB
[ebuild  N     ] x11-proto/glproto-1.4.16  117 kB
[ebuild  N     ] sys-devel/llvm-3.1-r2  USE="libffi -debug -gold -multitarget -ocaml {-test} -udis86 -vim-syntax" 10,818 kB
[ebuild  N     ] media-libs/mesa-9.1.6  USE="classic egl gallium llvm nptl pax_kernel pic shared-glapi -bindist -debug -gbm -gles1 -gles2 -openvg -osmesa (-r600-llvm-compiler) (-selinux) -vdpau (-wayland) -xa -xorg -xvmc" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6" VIDEO_CARDS="intel -i915 -i965 -nouveau -r100 -r200 -r300 -r600 -radeon (-radeonsi) -vmware" 5,991 kB
[blocks B      ] <dev-python/python-exec-10000 ("<dev-python/python-exec-10000" is blocking dev-lang/python-exec-0.3.1)

Total: 17 packages (17 new), Size of downloads: 19,595 kB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-python/python-exec-0.3.1::gentoo, installed) pulled in by
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-)] required by (dev-python/beaker-1.6.4-r1::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_single_target_python2_7(+)] required by (sys-libs/tevent-0.9.19::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] required by (dev-python/pyxattr-0.5.2::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] required by (dev-libs/libxml2-2.9.1-r1::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] required by (dev-libs/boost-1.52.0-r6::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] required by (dev-python/pyopenssl-0.13.1::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] required by (dev-python/pyxdg-0.25::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] required by (dev-python/markupsafe-0.15-r1::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_single_target_python2_7(+)] required by (media-libs/alsa-lib-1.0.27.1::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] required by (app-portage/mirrorselect-2.2.0.1::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] required by (dev-python/pypax-0.8.3::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] required by (dev-python/setuptools-0.8-r1::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-)] required by (dev-python/mako-0.7.3-r1::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_single_target_python2_7(+)] required by (net-analyzer/fail2ban-0.8.10-r2::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] required by (virtual/python-argparse-1::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_single_target_python2_7(+)] required by (sys-apps/usbutils-006-r1::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] required by (dev-python/dbus-python-1.2.0::gentoo, installed)

  (dev-lang/python-exec-0.3.1::gentoo, ebuild scheduled for merge) pulled in by
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-)]) required by (dev-python/mako-0.7.3-r1::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,python_targets_pypy2_0(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)]) required by (dev-python/markupsafe-0.15-r1::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,python_targets_pypy2_0(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)]) required by (dev-python/pyopenssl-0.13.1::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,python_targets_pypy2_0(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)]) required by (dev-python/pyxattr-0.5.2::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)]) required by (dev-libs/boost-1.52.0-r6::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)]) required by (app-portage/mirrorselect-2.2.0.1::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] (dev-lang/python-exec:=[python_targets_python2_7(-),python_single_target_python2_7(+)]) required by (net-analyzer/fail2ban-0.8.10-r2::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,python_targets_pypy2_0(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)]) required by (dev-python/pyxdg-0.25::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,python_targets_pypy2_0(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)]) required by (dev-python/pypax-0.8.3::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,python_targets_pypy2_0(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)]) required by (virtual/python-argparse-1::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] (dev-lang/python-exec:=[python_targets_python2_7(-),python_single_target_python2_7(+)]) required by (sys-libs/tevent-0.9.19::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-)]) required by (dev-python/beaker-1.6.4-r1::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)]) required by (dev-libs/libxml2-2.9.1-r1::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)]) required by (dev-python/dbus-python-1.2.0::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_7(-)?,python_single_target_python2_7(+)?] (dev-lang/python-exec:=[python_targets_python2_7(-),python_single_target_python2_7(+)]) required by (sys-apps/usbutils-006-r1::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_7(-)?,python_single_target_python2_7(+)?] (dev-lang/python-exec:=[python_targets_python2_7(-),python_single_target_python2_7(+)]) required by (media-libs/alsa-lib-1.0.27.1::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,python_targets_pypy2_0(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)]) required by (dev-python/setuptools-0.8-r1::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] (dev-lang/python-exec:=[python_targets_python2_7(-),python_single_target_python2_7(+)]) required by (media-libs/mesa-9.1.6::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


Does anyone know how to solve the dependencies?

Here are some relevant configuration files:

Code:

elmarotter@ZaphodBeeblebrox /etc/X11/xorg.conf.d $ cat /etc/portage/make.conf
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-O2 -march=native -pipe"
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j3"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="i686-pc-linux-gnu"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="apache2 acpi alsa apm autoip avahi bonjour cifs consolekit curl cups dbus exif expat fbcon fuse gd geoip gif gs hardened imagemagick imap ipv6 jpeg jpeg2k libwww lm_sensor maildir md5sum mdnsresponder-compat mmx mp3 mysql mysqli nls ntp offensive openssl pear perl pam pcre php pic pmu png policykit python samba sasl sdl slang spamassassin sse sse2 ssl sql sqlite sqlite2 tiff udev unicode webkit X X11 xorg xml zeroconf zip -ppp"

LINGUAS="en nl"

LANG="en_GB nl_NL"

APACHE2_MODULES="actions alias auth_basic auth_digest authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"

APACHE2_MPMS="prefork"

PHP_TARGETS="php5-4"

#GENTOO_MIRRORS="rsync://mirror.leaseweb.com/gentoo/ http://mirror.leaseweb.com/gentoo/ ftp://mirror.leaseweb.com/gentoo/ ftp://gentoo.tiscali.nl/pub/mirror/gentoo/ http://gentoo.tiscali.nl/ ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo http://ftp.snt.utwente.nl/pub/os/linux/gentoo rsync://ftp.snt.utwente.nl/gentoo"

SYNC="rsync://rsync2.nl.gentoo.org/gentoo-portage"

INPUT_DEVICES="evdev keyboard mouse"

VIDEO_CARDS="poulsbo intel vesa"

ALSA_CARDS="intel"

ACCEPT_LICENSE="*"




# Set PORTDIR for backward compatibility with various tools:
#   gentoo-bashcomp - bug #478444
#   euse - bug #474574
#   euses and ufed - bug #478318
PORTDIR="/usr/portage"

GENTOO_MIRRORS="rsync://mirror.leaseweb.com/gentoo/ http://mirror.leaseweb.com/gentoo/ ftp://mirror.leaseweb.com/gentoo/ ftp://gentoo.tiscali.nl/pub/mirror/gentoo/ http://gentoo.tiscali.nl/ ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo http://ftp.snt.utwente.nl/pub/os/linux/gentoo rsync://ftp.snt.utwente.nl/gentoo"


Code:

elmarotter@ZaphodBeeblebrox /etc/X11/xorg.conf.d $ cat /etc/portage/package.use
dev-db/mysql community perl ssl latin1
dev-lang/php apache2 bzip2 calendar cgi cli crypt ctype curl exif filter force-cgi-redirect fpm ftp gd gdbm gmp iconv imap json ming mysql mysqli nls pcre pdo posix reflection session simplexml soap sockets spell spl sqlite sqlite3 ssl tokenizer truetype unicode xml xls xmlreader xmlrpc xmlwriter zip zlib
www-servers/nginx nginx_modules_http_dav
media-gfx/imagemagick bzip2 corefonts cxx gs jpeg openmp perl png tiff truetype xml zlib jpeg2k 
dev-libs/cyrus-sasl -berkdb authdaemond crypt gdbm mysql ssl urandom
net-fs/samba aov acl avahi client cups gtk gtk3 gvfs netapi pam python readline server smbclient caps quota smbsharemodes swat syslog winbind
net-dns/avahi autoipd bookmarks dbus gdbm howl-compat introspection ipv6 mdnsresponder-compat python # utils
sys-libs/talloc compat
app-misc/mc edit gpm nls samba
net-dns/bind berkdb dlz mysql ssl xml resolvconf
mail-client/squirrelmail mysql nls ssl filter spell -ipv6
dev-db/phpmyadmin -setup vhosts
net-print/cups dbus jpeg nls pam php png ppds python samba slp ssl tiff -usb
net-print/gutenprint cups readline ppds
media-sound/mt-daapd vorbis
www-client/elinks javascript ftp
www-client/links gpm suid
www-apps/owncloud curl mysql sqlite3 vhosts
#app-admin/sudo offensive
#required by app-admin/collectd-5.1.0-r1[-collectd_plugins_perl,perl], required by app-admin/collectd (argument)
dev-lang/perl ithreads
#required by sys-auth/polkit-0.104-r1, required by sys-power/upower-0.9.16, required by kde-base/kdelibs-4.8.5[upower], required by kde-base/kactivities-4.8.5, required by kde-base/plasma-workspace-4.8.5, required by kde-base/kdebase-meta-4.8.5, required by kde-base/kdebase-meta (argument)
sys-auth/consolekit  policykit
#required by media-libs/phonon-gstreamer-4.5.0, required by media-libs/phonon-4.5.1-r1[gstreamer], required by kde-base/phonon-kde-4.8.5, required by kde-base/kdebase-meta-4.8.5, required by kde-base/kdebase-meta (argument)
media-plugins/gst-plugins-meta ogg vorbis
#required by sys-power/upower-0.9.16, required by kde-base/kdelibs-4.8.5[upower], required by kde-base/kactivities-4.8.5, required by kde-base/plasma-workspace-4.8.5, required by kde-base/kdebase-meta-4.8.5, required by kde-base/kdebase-meta (argument)
sys-fs/udev gudev hwdb
net-proxy/squid ipv6 mysql pam sasl sqlite ssl logrotate samba
media-libs/libpng apng
app-misc/mc slang -ncurses
net-nds/openldap -gdbm berkdb crypt perl samba ssl syslog tcpd -experimental
sys-libs/zlib minizip
virtual/udev gudev hwdb
app-admin/eselect-php fpm

#BEGIN miniDLNA
media-libs/flac cxx sse 3dnow ogg
media-sound/lame mmx mp3rtp sndfile
media-libs/speex sse ogg
media-sound/pulseaudio alsa asyncns avahi caps dbus gdbm glib ipv6 ssl tcpd udev webrtc-aec jack
media-plugins/alsa-plugins ffmpeg jack
media-video/ffmpeg 3dnow 3dnowext aac aacplus alsa bzip2 encode faac hardcoded-tables jpeg2k mmx mmxext mp3 network openssl pic sdl ssse3 theora vorbis x264 xvid zlib jack
virtual/ffmpeg encode jpeg2k mp3 sdl x264
#END miniDLNA

#mpd BEGIN
media-sound/mpd aac alsa bzip2 curl ffmpeg fifo flac id3tag -ipv6 jack lame mad mpg123 network ogg sqlite tcpd twolame unicode vorbis wavpack zeroconf zip
media-sound/ncmpc help-screen nls artist-screen colors key-screen lyrics-screen search-screen song-screen
media-sound/ncmpcpp curl iconv unicode clock outputs taglib visualizer
#mpd END
#daapd BEGIN
media-sound/mt-daapd vorbis
#daapd END
net-fs/netatalk acl avahi cracklib cups pam ssl tcpd appletalk
net-firewall/ipset -modules
net-misc/ntp caps


dev-lang/php pdo sqlite3 curl xmlwriter gd truetype cgi force-cgi-redirect fpm
www-servers/nginx nginx_modules_http_dav


# dansguardian
net-proxy/dansguardian pcre clamav

# x11-base/xorg-server
x11-base/xorg-server udev
x11-libs/libdrm libkms

#tijdelijk tot mesa geinstalleerd is
media-libs/mesa -xorg


Code:

elmarotter@ZaphodBeeblebrox /etc/portage $ sudo lspci -k
Password:
00:00.0 Host bridge: Intel Corporation System Controller Hub (SCH Poulsbo) (rev 07)
   Subsystem: Intel Corporation Device 8119
00:02.0 VGA compatible controller: Intel Corporation System Controller Hub (SCH Poulsbo) Graphics Controller (rev 07)
   Subsystem: Intel Corporation Device 8119
   Kernel driver in use: gma500
   Kernel modules: gma500_gfx
00:1b.0 Audio device: Intel Corporation System Controller Hub (SCH Poulsbo) HD Audio Controller (rev 07)
   Subsystem: Intel Corporation Device 8119
   Kernel driver in use: snd_hda_intel
   Kernel modules: snd_hda_intel
00:1c.0 PCI bridge: Intel Corporation System Controller Hub (SCH Poulsbo) PCI Express Port 1 (rev 07)
   Kernel driver in use: pcieport
00:1c.1 PCI bridge: Intel Corporation System Controller Hub (SCH Poulsbo) PCI Express Port 2 (rev 07)
   Kernel driver in use: pcieport
00:1d.0 USB controller: Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #1 (rev 07)
   Subsystem: Intel Corporation Device 8119
   Kernel driver in use: uhci_hcd
00:1d.1 USB controller: Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #2 (rev 07)
   Subsystem: Intel Corporation Device 8119
   Kernel driver in use: uhci_hcd
00:1d.2 USB controller: Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #3 (rev 07)
   Subsystem: Intel Corporation Device 8119
   Kernel driver in use: uhci_hcd
00:1d.7 USB controller: Intel Corporation System Controller Hub (SCH Poulsbo) USB EHCI #1 (rev 07)
   Subsystem: Intel Corporation Device 8119
   Kernel driver in use: ehci-pci
00:1e.0 SD Host controller: Intel Corporation System Controller Hub (SCH Poulsbo) SDIO Controller #1 (rev 07)
   Subsystem: Intel Corporation Device 8119
00:1e.1 SD Host controller: Intel Corporation System Controller Hub (SCH Poulsbo) SDIO Controller #2 (rev 07)
   Subsystem: Intel Corporation Device 8119
00:1f.0 ISA bridge: Intel Corporation System Controller Hub (SCH Poulsbo) LPC Bridge (rev 07)
   Subsystem: Intel Corporation System Controller Hub (SCH Poulsbo) LPC Bridge
00:1f.1 IDE interface: Intel Corporation System Controller Hub (SCH Poulsbo) IDE Controller (rev 07)
   Subsystem: Intel Corporation Device 8119
   Kernel driver in use: pata_sch
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168 PCI Express Gigabit Ethernet controller (rev 03)
   Subsystem: Realtek Semiconductor Co., Ltd. RTL8111/8168 PCI Express Gigabit Ethernet controller
   Kernel driver in use: r8169
03:00.0 Network controller: Ralink corp. RT3090 Wireless 802.11n 1T/1R PCIe
   Subsystem: Ralink corp. RT3090 Wireless 802.11n 1T/1R PCIe
   Kernel driver in use: rt2800pci
Back to top
View user's profile Send private message
nix213
n00b
n00b


Joined: 08 Feb 2013
Posts: 23
Location: Illinois

PostPosted: Thu Oct 31, 2013 12:41 pm    Post subject: Reply with quote

It looks to me like this is your problem right here
Code:
[blocks B      ] <dev-python/python-exec-10000 ("<dev-python/python-exec-10000" is blocking dev-lang/python-exec-0.3.1)


It's just a shot in the dark, but you may want to see which version of python you're using (eselect python list). I can't help but notice in the mesa ebuild, the PYTHON_COMPAT only has 2.6 and 2.7 listed (and not 3.2, 3.3). I'm not entirely sure why it would cause that error in particular, but it's a place to start.
_________________
"Wherever you go, go with all your heart." -Confucius
Back to top
View user's profile Send private message
elmar283
Apprentice
Apprentice


Joined: 06 Dec 2004
Posts: 194
Location: Netherlands

PostPosted: Thu Oct 31, 2013 2:07 pm    Post subject: Reply with quote

Code:

elmarotter@ZaphodBeeblebrox ~ $ eselect python list
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.2


I will first do an 'emerge aDNuv @world', 'emerge -acv' and 'revdep-rebuild'. That might do the trick.
I will come back to it.
Back to top
View user's profile Send private message
rudregues
Apprentice
Apprentice


Joined: 29 Jan 2013
Posts: 195

PostPosted: Thu Oct 31, 2013 6:06 pm    Post subject: Reply with quote

nix213 wrote:
It looks to me like this is your problem right here
Code:
[blocks B      ] <dev-python/python-exec-10000 ("<dev-python/python-exec-10000" is blocking dev-lang/python-exec-0.3.1)


It's just a shot in the dark, but you may want to see which version of python you're using (eselect python list). I can't help but notice in the mesa ebuild, the PYTHON_COMPAT only has 2.6 and 2.7 listed (and not 3.2, 3.3). I'm not entirely sure why it would cause that error in particular, but it's a place to start.


Curious... I'm with similar warning:

Code:
#  emerge --update --newuse  --deep --ask  world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-lang/python-exec-0.3.1  PYTHON_TARGETS="(jython2_5) (jython2_7) (python2_6) (python2_7) (python3_2) (-pypy2_0) (-python3_3)"
[ebuild     U  ] dev-python/python-exec-10000.1 [0.3.1]
[blocks b      ] <dev-python/python-exec-10000 ("<dev-python/python-exec-10000" is blocking dev-lang/python-exec-0.3.1)


But my python is another version
Code:
# eselect python list
Available Python interpreters:
  [1]   python2.7
  [2]   python3.2 *

And portage emerged world at first attempt. So I think you can try eselect python 3.2 and emerge world again.
_________________
Emerging en gentoo
Back to top
View user's profile Send private message
andi_s
Apprentice
Apprentice


Joined: 10 Feb 2005
Posts: 218
Location: Germany

PostPosted: Thu Oct 31, 2013 6:50 pm    Post subject: Reply with quote

same here (using python3.2)

Code:

# emerge pyopenssl -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-lang/python-exec-0.3.1  PYTHON_TARGETS="(python2_6) (python2_7) (python3_2) (-jython2_5) (-jython2_7) (-pypy2_0) (-python3_3)" 73 kB
[ebuild  N     ] dev-python/pyopenssl-0.13.1  USE="-doc" PYTHON_TARGETS="python2_7 python3_2 (-pypy2_0) -python2_6 (-python3_3)" 249 kB
[blocks B      ] <dev-python/python-exec-10000 ("<dev-python/python-exec-10000" is blocking dev-lang/python-exec-0.3.1)

Total: 2 packages (2 new), Size of downloads: 322 kB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-python/python-exec-0.3.1::gentoo, installed) pulled in by
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] required by (dev-python/pycurl-7.19.0-r3::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_single_target_python2_7(+)] required by (sys-libs/tevent-0.9.19::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] required by (dev-python/pycrypto-2.6-r2::gentoo, installed)
    dev-python/python-exec:0/0=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] required by (virtual/python-argparse-1::gentoo, installed)

  (dev-lang/python-exec-0.3.1::gentoo, ebuild scheduled for merge) pulled in by
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)]) required by (dev-python/pycrypto-2.6-r2::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,python_targets_pypy2_0(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)]) required by (dev-python/pyopenssl-0.13.1::gentoo, ebuild scheduled for merge)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] (dev-lang/python-exec:=[python_targets_python2_7(-),python_single_target_python2_7(+)]) required by (sys-libs/tevent-0.9.19::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,python_targets_pypy2_0(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)]) required by (virtual/python-argparse-1::gentoo, installed)
    dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)] (dev-lang/python-exec:=[python_targets_python2_7(-),python_targets_python3_2(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-)]) required by (dev-python/pycurl-7.19.0-r3::gentoo, installed)



i don't know how to resolve this issue...
maybe dev-lang/python-exec needs a fix...
hopefully this issue is gone if we sync again later ;)

@elmar283
i think this thread does not belong in "desktop environments"
probably it would be a good idea to change the subject...
Back to top
View user's profile Send private message
elmar283
Apprentice
Apprentice


Joined: 06 Dec 2004
Posts: 194
Location: Netherlands

PostPosted: Thu Oct 31, 2013 7:12 pm    Post subject: Reply with quote

To be clear. My problem is not the python one, but the circular dependencies. The python problems only occurs when I put 'media-libs/mesa -xorg'. And I don't think that is a good idea. For xorg-x11 I do need xorg, or don't I?

The problem is this:
Code:

elmarotter@ZaphodBeeblebrox /proc/sys/kernel $ emerge -pv mesa

These are the packages that would be merged, in order:

Calculating dependencies... done!


[nomerge       ] x11-drivers/xf86-input-keyboard-1.7.0
[nomerge       ]  x11-base/xorg-server-1.14.3-r2:0/1.14.3  USE="ipv6 nptl suid udev xorg -dmx -doc -kdrive -minimal (-selinux) -static-libs -tslib -xnest -xvfb"
[nomerge       ]   x11-base/xorg-drivers-1.14  INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -elographics -fpit -hyperpen -joystick -mutouch -penmount -synaptics -tslib -vmmouse -void -wacom" VIDEO_CARDS="vesa -apm -ast -chips -cirrus -dummy -epson -fbdev -fglrx -geode -glint -i128 -i740 -intel -mach64 -mga -modesetting -neomagic -nouveau -nv (-nvidia) (-omap) (-omapfb) -qxl -r128 -radeon -radeonsi -rendition -s3virge -savage -siliconmotion -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -via -virtualbox -vmware (-voodoo)"
[ebuild  N     ]    x11-drivers/xf86-input-mouse-1.9.0  346 kB
[ebuild  N     ]    x11-drivers/xf86-input-evdev-2.8.1  361 kB
[ebuild  N     ]    x11-drivers/xf86-video-vesa-2.3.3  294 kB
[ebuild  N     ]    x11-drivers/xf86-input-keyboard-1.7.0  312 kB
[ebuild  N     ]   media-libs/mesa-9.1.6  USE="classic egl gallium llvm nptl pax_kernel pic shared-glapi xorg -bindist -debug -gbm -gles1 -gles2 -openvg -osmesa (-r600-llvm-compiler) (-selinux) -vdpau (-wayland) -xa -xvmc" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6" VIDEO_CARDS="-i915 -i965 -intel -nouveau -r100 -r200 -r300 -r600 -radeon (-radeonsi) -vmware" 5,991 kB
[ebuild  N     ]    x11-base/xorg-server-1.14.3-r2:0/1.14.3  USE="ipv6 nptl suid udev xorg -dmx -doc -kdrive -minimal (-selinux) -static-libs -tslib -xnest -xvfb" 5,374 kB

Total: 6 packages (6 new), Size of downloads: 12,676 kB

 * Error: circular dependencies:

(x11-base/xorg-server-1.14.3-r2::gentoo, ebuild scheduled for merge) depends on
 (media-libs/mesa-9.1.6::gentoo, ebuild scheduled for merge) (buildtime)
  (x11-base/xorg-server-1.14.3-r2::gentoo, ebuild scheduled for merge) (buildtime_slot_op)

It might be possible to break this cycle
by applying the following change:
- media-libs/mesa-9.1.6 (Change USE: -xorg)

Note that this change can be reverted, once the package has been installed.
Back to top
View user's profile Send private message
andi_s
Apprentice
Apprentice


Joined: 10 Feb 2005
Posts: 218
Location: Germany

PostPosted: Thu Oct 31, 2013 10:23 pm    Post subject: Reply with quote

well, i think the suggested solution (-xorg) would work, if there wouldn't be the python issue :?

Last edited by andi_s on Sat Nov 02, 2013 10:39 am; edited 1 time in total
Back to top
View user's profile Send private message
andi_s
Apprentice
Apprentice


Joined: 10 Feb 2005
Posts: 218
Location: Germany

PostPosted: Sat Nov 02, 2013 10:38 am    Post subject: Reply with quote

after syncing and updating python-exec and related packages the python problem is gone, so i guess this

Code:

It might be possible to break this cycle
by applying the following change:
- media-libs/mesa-9.1.6 (Change USE: -xorg)

Note that this change can be reverted, once the package has been installed.


should work for you now as well.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum